Subject: Mitigating "make bootstrap" trashing the tree

From: William G. Gardella <[email-masked]>
Date: Wed, 18 Sep 2013 17:16:10 +0000

Hello,

One suggestion to help avoid "make bootstrap" trashing the source tree
and your old emacs build would be to use "bzr stash" to make a
temporary, local copy of your previous build.  Another idea would be to
do something like make install DESTDIR=built-on-`date +%Y-%m-%d_%H-%M`,
so that even if you do not wish to install globally whenever you build
Emacs, you at least have past successful builds in a convenient place.

Ultimately, however, I think "make bootstrap" should avoid doing lots of
implicit things like deleting old builds.  It should be reversible
somehow without needing to know bzr hacks or redirect the output of
previous builds.  Automated functions that make a mess should clean up
after themselves.

-- 
Regards,
WGG